Bug 32222 - X11 library uninitialized memory reference
X11 library uninitialized memory reference
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-19 07:46 EST by Jonathan Kamens
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-19 07:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix uninitialized memory reference (319 bytes, patch)
2001-03-19 07:47 EST, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-03-19 07:46:53 EST
There is an uninitialized memory reference in the function parse_fontdata
in the fiel xc/lib/X11/omGeneric.c.  It assumes that the contents of a
structure pointer passed into it will be initialized to NULL, but that
isn't necessarily true.  I will attach a patch to fix this problem.  Please
forward this patch back to the maintainers of XFree86.
Comment 1 Jonathan Kamens 2001-03-19 07:47:18 EST
Created attachment 12964 [details]
patch to fix uninitialized memory reference
Comment 2 Mike A. Harris 2001-03-22 04:24:50 EST
Thanks very much.  Patch sent upstream to XFree86 team, and incorporated
into my latest build.

Note You need to log in before you can comment on or make changes to this bug.